iOS 3.1 upgrade help

Discussion in 'iOS Jailbreak & Cydia' started by Shatter_Force, Dec 27, 2009.

  1. Shatter_Force

    Shatter_Force Member

    Joined:
    Jul 15, 2009
    Messages:
    66
    Likes Received:
    2
    Device:
    iPhone 4S (Black)
    so basicly i went to upgrade to 3.1.2 from 3.1 and i was downloading the firmware when my network connection, i guess, timed out.

    thus cuasing my download to fail (error code 20) and my ipod is now chillin in recoverymode

    i tried holding top and home nothing

    i tried reinistalling old firmware 2.2.1 and 3.0 via the alt+shift retore and i simply got error code 1601.

    i put into dfu mode and tried the way to get out of dfu mode (holding top and home) and it simply brings me back to the recovery screen this was linked to computer

    Unlinked from the computer doing the top step simply brought up the apple logo then it would go black or would brink up the recovery logo (Cord to arow to itunes) then go black

    i cant restore the original 3.1 firmware becuase it asks me to restore and upgrade to 3.1.2 when i click restore.

    So should i download the 3.1 firmware from a site then alt+shift it in restore
    or is there somthing else i should do? thx

    ~Shatter_Force~
  2. mogey16816

    mogey16816 New Member

    Joined:
    Aug 2, 2008
    Messages:
    152
    Likes Received:
    0
    Device:
    iPod touch
    why don't you want to restore and upgrade? you have to restore anyway.
  3. Shatter_Force

    Shatter_Force Member

    Joined:
    Jul 15, 2009
    Messages:
    66
    Likes Received:
    2
    Device:
    iPhone 4S (Black)
    becuase when i click restore it always give me error code 20 after like half an hour waiting for 3.1.2 to download
  4. mogey16816

    mogey16816 New Member

    Joined:
    Aug 2, 2008
    Messages:
    152
    Likes Received:
    0
    Device:
    iPod touch
    well, i guess download it from somewhere else and shift+restore.
  5. Shatter_Force

    Shatter_Force Member

    Joined:
    Jul 15, 2009
    Messages:
    66
    Likes Received:
    2
    Device:
    iPhone 4S (Black)
    im doing that now
    and i will try

    tell me if im correct here
    i wont be able to put the 3.0 firmware on this ipod becuase it a third gen and its defualt is 3.1 and if im trying to put my second gen 3.0 firmware on and that would be why i get error 1601

    basicly there is no third gen 3.0 only first and second so the 3.0 firmware i have downloaded is not compatible

    am i right
  6. Roondog12355

    Roondog12355 Member

    Joined:
    Dec 29, 2008
    Messages:
    207
    Likes Received:
    0
    Device:
    Nexus 7
    yeah ur just gonna have to get the right firmware

Share This Page